Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Can't skip relations #318

Closed
naquiuddin opened this issue Oct 2, 2016 · 4 comments

Comments

Projects
None yet
3 participants
@naquiuddin
Copy link

commented Oct 2, 2016

I am trying to skip relationship for a field, but for some reason it is throwing error. Can't we skip relations for few fields?

$ php artisan infyom:scaffold Org --save --relations
Specify fields for the model (skip id & timestamp fields, we will add it automatically)
Read docs carefully to specify field inputs)
Enter "exit" to finish

 Field: (name db_type html_type options) []:
 > place_id string text s,if

 Enter validations:  []:
 > required|max:255

 Enter relationship (Leave Black to skip): []:
 >



 [ERROR] A value is required.


 Enter relationship (Leave Black to skip): []:
 >
@mitulgolakiya

This comment has been minimized.

Copy link
Member

commented Oct 2, 2016

@naquiuddin which version of laravel and laravel generator version you are using ?

@naquiuddin

This comment has been minimized.

Copy link
Author

commented Oct 3, 2016

Hey @mitulgolakiya ,

Here is my composer.json config

 "require": {
        "php": ">=5.6.4",
        "laravel/framework": "5.3.*",
        "yajra/laravel-datatables-oracle": "~6.0",
        "barryvdh/laravel-ide-helper": "^2.1",
        "infyomlabs/laravel-generator": "5.3.x-dev",
        "laravelcollective/html": "dev-master",
        "jlapp/swaggervel": "dev-master",
        "infyomlabs/adminlte-templates": "5.3.x-dev",
        "doctrine/dbal": "~2.3"
    },

mitulgolakiya added a commit that referenced this issue Oct 9, 2016

mitulgolakiya added a commit that referenced this issue Oct 9, 2016

@mitulgolakiya

This comment has been minimized.

Copy link
Member

commented Oct 9, 2016

@naquiuddin fixed. please test again.

@apeh1706

This comment has been minimized.

Copy link

commented Dec 16, 2018

i'm using this version

"require": {
"php": ">=7.0.0",
"fideloper/proxy": "~3.3",
"laravel/framework": "5.5.*",
"laravel/tinker": "~1.0",
"infyomlabs/laravel-generator": "5.5.x-dev",
"laravelcollective/html": "^5.5.0",
"infyomlabs/adminlte-templates": "5.5.x-dev",
"infyomlabs/swagger-generator": "dev-master",
"appointer/swaggervel": "dev-master",
"doctrine/dbal": "~2.3"

and it seem can't skip the relation too ...
please help me

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.